# Generated by Django 5.0.1 on 2024-01-09 19:18

import ckeditor_uploader.fields
import django.db.models.deletion
import uuid
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('cources', '0002_courcecategory_style'),
        ('home', '0006_contactus'),
    ]

    operations = [
        migrations.CreateModel(
            name='Cources',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('create_at', models.DateTimeField(auto_now_add=True)),
                ('update_at', models.DateTimeField(auto_now=True)),
                ('title', models.CharField(blank=True, max_length=255, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('overview', ckeditor_uploader.fields.RichTextUploadingField()),
                ('curriculum', ckeditor_uploader.fields.RichTextUploadingField()),
                ('help_title', models.CharField(blank=True, max_length=255, null=True)),
                ('help_description', models.TextField(blank=True, null=True)),
                ('help_photo', models.ImageField(upload_to='help_photo/')),
                ('video_photo', models.ImageField(upload_to='video_photo/')),
                ('video_link', models.URLField(blank=True, null=True)),
                ('price', models.IntegerField(blank=True, null=True)),
                ('descount', models.IntegerField(blank=True, null=True)),
                ('delay_time', models.DateTimeField(blank=True, null=True)),
                ('teacher', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='cource', to='home.mentors')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
